Debian Bug report logs - #562991
strcasestr() implicitly converted to pointer

version graph

Package: src:sfront; Maintainer for src:sfront is Santiago Vila <sanvila@debian.org>;

Reported by: dann frazier <dannf@debian.org>

Date: Tue, 29 Dec 2009 19:57:01 UTC

Severity: serious

Tags: patch

Found in version sfront/0.94-2

Fixed in version sfront/0.95-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to John Lazzaro <lazzaro@cs.berkeley.edu>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#562991; Package src:sfront. (Tue, 29 Dec 2009 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 29 Dec 2009 19:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: strcasestr() implicitly converted to pointer
Date: Tue, 29 Dec 2009 12:54:44 -0700
[Message part 1 (text/plain, inline)]
Source: sfront
Version: 0.94-2
Severity: serious
Usertags: implicit-pointer-conversion
Tags: patch

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

  Function `strcasestr' implicitly converted to pointer at sfmain.c:1150

This is often due to a missing function prototype definition.
For more information, see [2].

Though it is guaranteed that this codepath will cause a segfault on certain
architectures, it is not guaranteed that this codepath would ever be executed
(e.g., if the returned pointer is never dereferenced). However, this bug
does prevent the ia64 buildd from successfully building this package, resulting
in a practical FTBFS issue and warranting the serious severity.

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions
[sfront.patch (text/x-diff, attachment)]

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. (Fri, 01 Jan 2010 12:12:23 GMT) Full text and rfc822 format available.

Message #8 received at 562991-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: John Lazzaro <lazzaro@cs.berkeley.edu>
Cc: 562991-forwarded@bugs.debian.org, dann frazier <dannf@debian.org>
Subject: Bug#562991: strcasestr() implicitly converted to pointer (fwd)
Date: Fri, 1 Jan 2010 13:02:57 +0100 (CET)
[Message part 1 (text/plain, INLINE)]
Hello.

I received this report from the Debian bug system.
I'll apply the proposed patch to the debian package.

---------- Forwarded message ----------
From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Date: Tue, 29 Dec 2009 12:54:44 -0700
Subject: Bug#562991: strcasestr() implicitly converted to pointer

Source: sfront
Version: 0.94-2
Severity: serious
Usertags: implicit-pointer-conversion
Tags: patch

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

  Function `strcasestr' implicitly converted to pointer at sfmain.c:1150

This is often due to a missing function prototype definition.
For more information, see [2].

Though it is guaranteed that this codepath will cause a segfault on certain
architectures, it is not guaranteed that this codepath would ever be executed
(e.g., if the returned pointer is never dereferenced). However, this bug
does prevent the ia64 buildd from successfully building this package, resulting
in a practical FTBFS issue and warranting the serious severity.

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions
[sfront.patch (text/x-diff, ATTACHMENT)]
--- sfront-0.94.orig/src/tree.h	2009-12-29 12:44:35.000000000 -0700
+++ sfront-0.94/src/tree.h	2009-12-29 12:52:56.518696372 -0700
@@ -41,10 +41,11 @@
 #define _SFRONT_TREE_H 1
 
 #define IDSTRING "0.94 12/14/09"
+#define _GNU_SOURCE /* strcasestr */
+#include <string.h>
 
 #include <stdio.h>
 #include <math.h>
-#include <string.h>
 #include <ctype.h>
 #include <stdlib.h>
 #include <float.h>

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Fri, 01 Jan 2010 12:51:07 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Fri, 01 Jan 2010 12:51:07 GMT) Full text and rfc822 format available.

Message #13 received at 562991-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 562991-close@bugs.debian.org
Subject: Bug#562991: fixed in sfront 0.95-1
Date: Fri, 01 Jan 2010 12:47:23 +0000
Source: sfront
Source-Version: 0.95-1

We believe that the bug you reported is fixed in the latest version of
sfront, which is due to be installed in the Debian FTP archive:

sfront_0.95-1.diff.gz
  to main/s/sfront/sfront_0.95-1.diff.gz
sfront_0.95-1.dsc
  to main/s/sfront/sfront_0.95-1.dsc
sfront_0.95-1_amd64.deb
  to main/s/sfront/sfront_0.95-1_amd64.deb
sfront_0.95.orig.tar.gz
  to main/s/sfront/sfront_0.95.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562991@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated sfront package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 01 Jan 2010 13:10:38 +0100
Source: sfront
Binary: sfront
Architecture: source amd64
Version: 0.95-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 sfront     - MPEG 4 Structured Audio decoder
Closes: 562991
Changes: 
 sfront (0.95-1) unstable; urgency=low
 .
   * New upstream release.
   * Added prototype for strcasestr. Closes: #562991.
     Thanks to Dann Frazier for the report and the patch.
Checksums-Sha1: 
 76376c08698c5fd89ea14671362ce1a183aba681 1232 sfront_0.95-1.dsc
 4097111c8a9a2d972f4e49c55128af133f9ef497 1416047 sfront_0.95.orig.tar.gz
 16d3c3e71d1b6cb6ca56cc86d94e1f856a7edda2 4936 sfront_0.95-1.diff.gz
 4eb3ee57f2866f9ef78cce8d9cdf51d9fa3d751e 1085688 sfront_0.95-1_amd64.deb
Checksums-Sha256: 
 2a176ecbd462ae7e9c51fe660d4334aebd277ba4e4c3b8212ebedc566b9a7e93 1232 sfront_0.95-1.dsc
 0c1fe02a1e2ed2f98fd9e34e69421238cbba8caf0b9ee434bfb6c46a6cdec46f 1416047 sfront_0.95.orig.tar.gz
 2a641c4a48b4dceb1ad6f74736ed75a42eafa8ccb2844b305dcd59083e53beca 4936 sfront_0.95-1.diff.gz
 8e9a05f31ad1026aecab991221428d3f6c48253732f23bf998591e609d5e872f 1085688 sfront_0.95-1_amd64.deb
Files: 
 bc1ca23a5110f0f65abfad8d9c620422 1232 sound optional sfront_0.95-1.dsc
 42d4984ac4016aaa34df1bc2d5857ae2 1416047 sound optional sfront_0.95.orig.tar.gz
 c6d678763c23d9bdef54595aab9e6eb9 4936 sound optional sfront_0.95-1.diff.gz
 9114ffb7765b3bc1f903447a74b4f240 1085688 sound optional sfront_0.95-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJLPejMAAoJEEHOfwufG4syMnMH/A7AASZFRz8SNYRDJM/E7RDI
jCH16zs8s8ybUYVy2XOTdo/7r1xj+TSt4wBcvSnXxBMQ9w4GDTF6EnZWvrBl7+uF
zUwy6t8eXo0Xh/7usmHW4qNxNcuVoyhV+WaNf/Icyys1hdZrdAsKH07++rzP7E5P
Yr3diP0bP29E58kJE9rvEm1COVkrBcINEz/Sb4UV2OCiBQkBIQrI7kTdGgCyUjtG
/oCudp7xr4vNFWB9SQc9a1azh3T0sRFgDn6CVipTPxd1p6of/qKJ0fXEOt3dHZ9s
vMzclBDiICzE1QXB8hB0oDV+ptfU2yjL3B0vsxkkripY4zD7pxVb3bc5xKZ/Dnw=
=9sTM
-----END PGP SIGNATURE-----





Message #14 received at 562991-forwarded@bugs.debian.org (full text, mbox):

From: John Lazzaro <john.lazzaro@gmail.com>
To: Santiago Vila <sanvila@unex.es>
Cc: John Lazzaro <lazzaro@cs.berkeley.edu>, 562991-forwarded@bugs.debian.org, dann frazier <dannf@debian.org>
Subject: Re: Bug#562991: strcasestr() implicitly converted to pointer (fwd)
Date: Fri, 1 Jan 2010 08:20:13 -0800
On Fri, Jan 1, 2010 at 4:02 AM, Santiago Vila <sanvila@unex.es> wrote:
> Hello.
>
> I received this report from the Debian bug system.
> I'll apply the proposed patch to the debian package.

I actually saw this yesterday via Google's real-time search (!).

The right fix here is to replace both function calls
in sfmain.c to strcasestr() to the vanilla strstr().  I added this
fix into my code base for the next release, feel free
to add it to your 0.95 Debian package.  Thanks,


>
> ---------- Forwarded message ----------
> From: dann frazier <dannf@debian.org>
> To: submit@bugs.debian.org
> Date: Tue, 29 Dec 2009 12:54:44 -0700
> Subject: Bug#562991: strcasestr() implicitly converted to pointer
>
> Source: sfront
> Version: 0.94-2
> Severity: serious
> Usertags: implicit-pointer-conversion
> Tags: patch
>
> Our automated buildd log filter[1] detected a problem that is likely to
> cause your package to segfault on architectures where the size of a
> pointer is greater than the size of an integer, such as ia64 and amd64.
>
>  Function `strcasestr' implicitly converted to pointer at sfmain.c:1150
>
> This is often due to a missing function prototype definition.
> For more information, see [2].
>
> Though it is guaranteed that this codepath will cause a segfault on certain
> architectures, it is not guaranteed that this codepath would ever be executed
> (e.g., if the returned pointer is never dereferenced). However, this bug
> does prevent the ia64 buildd from successfully building this package, resulting
> in a practical FTBFS issue and warranting the serious severity.
>
> [1] http://people.debian.org/~dannf/check-implicit-pointer-functions
> [2] http://wiki.debian.org/ImplicitPointerConversions



-- 
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
john [dot] lazzaro [at] gmail [dot] com




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jan 2010 07:33:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:50:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.